Modify

Opened 10 years ago

Closed 10 years ago

#3270 closed enhancement (fixed)

[PATCH] madwifi-0.9.4 for kamikaze

Reported by: acoul <alex@…> Owned by: developers
Priority: normal Milestone: Kamikaze 8.09 RC1
Component: packages Version:
Keywords: madwifi driver stable Cc:

Description

You may find a patch for madwifi-0.9.4 driver against a snapshot [10654] here: http://wifi.ozo.com/airo/openwrt/patches/madwifi/madwifi-0.9.4.patch.bz2 or just grab the Makefile: http://wifi.ozo.com/airo/openwrt/patches/madwifi/Makefile.madwifi-0.9.4 and use the patches included on the above tar file. this is not a final work. some fine tunning may be needed.

Attachments (0)

Change History (8)

comment:1 Changed 10 years ago by david@…

Hi, can you post the patches please ? (there is no tar file, only the patch file and I'm having a hard time getting it to apply to a 7.07 tree).
Thanks.

comment:2 Changed 10 years ago by ulfk

hi,
how is the correct way to use this patches?
i get too many patch errors when i use them agains 0.9.4

comment:3 Changed 10 years ago by david@…

You need to pull the specific revision of openwrt mentioned above from svn.
Then apply the patch (it should apply clean). Apply the patch at the
./package/madwifi level in the tree (patch -p0 < <patch_file>).
The resulting patched madwifi subtree can possibly then be moved into
a different openwrt build tree (e.g. the trunk, or 7_07) and built
successfully. I was able to built it in a 7_07 tree, but the resulting
binary didn't work. That in turn may have been a platform issue, or
a kernel incompatibility, I'm not sure.

comment:4 Changed 10 years ago by anonymous

Help! I can not download the patch to make the packet injection for madwifi-0.9.4 driver! I have a NETGEAR WG311T but I need to download the patch right! You can pass me the patch?

comment:5 Changed 10 years ago by killer80

Help! I can not download the patch to make the packet injection for madwifi-0.9.4 driver! I have a NETGEAR WG311T but I need to download the patch right! You can pass me the patch?

comment:6 Changed 10 years ago by anonymous

I don't know what your problem is. Injection works for me without any patches to madwifi (tried with airserv-ng / aireplay-ng)

comment:7 Changed 10 years ago by Killer80

Ah...
ok, try without using the patch then! Thank you council!

comment:8 Changed 10 years ago by thepeople

  • Resolution set to fixed
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.